Bug 126127 - CAN-2004-0565 Information leak on Linux/ia64
Summary: CAN-2004-0565 Information leak on Linux/ia64
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 2.1
Hardware: ia64 Linux
medium
medium
Target Milestone: ---
Assignee: Jim Paradis
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-16 12:41 UTC by Mark J. Cox
Modified: 2013-08-06 01:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-13 20:17:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:504 normal SHIPPED_LIVE Important: Updated Itanium kernel packages resolve security issues 2004-12-13 05:00:00 UTC

Description Mark J. Cox 2004-06-16 12:41:30 UTC
Linux ia64 kernels have a floating point leak because the context
switch code checks just the psr.mfh bit and doesn't look at who the
FPH owner is.  This allows a malicious program to set the MFH bit and
look at the 
registers of another possibly sensitive process.

Patch available and committed:

http://lia64.bkbits.net:8080/to-linus-2.5/cset@1.1726.29.7

CAN-2004-0565 Affects: 2.1AS(ia64) 2.1AW

Comment 1 Jim Paradis 2004-11-29 21:54:31 UTC
The referenced patch doesn't seem to exist (possibly merged out of bk or
somesuch).  Got another reference?


Comment 2 Mark J. Cox 2004-11-29 22:07:00 UTC
I don't have the exact link to the 2.4 changeset, but here is the 2.6
changeset to help find it.
http://linux.bkbits.net:8080/linux-2.6/cset@40bfc1cbJnl_19Ig3vzEM08521rh0w


Comment 3 Jim Paradis 2004-11-29 22:18:45 UTC
I found the 2.4 changeset, it's at 
http://linux.bkbits.net:8080/linux-2.4/cset@1.1425.3.1


Comment 4 John Flanagan 2004-12-13 20:17:15 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-504.html



Note You need to log in before you can comment on or make changes to this bug.